[or-cvs] r16601: {} gpa can now user gpg hkp plugins for accessing keyservers. (in incognito/trunk/portage.overlay/app-crypt: . gnupg gnupg/files)

anonym at seul.org anonym at seul.org
Tue Aug 19 23:02:14 UTC 2008


Author: anonym
Date: 2008-08-19 19:02:14 -0400 (Tue, 19 Aug 2008)
New Revision: 16601

Added:
   incognito/trunk/portage.overlay/app-crypt/gnupg/
   incognito/trunk/portage.overlay/app-crypt/gnupg/Manifest
   incognito/trunk/portage.overlay/app-crypt/gnupg/files/
   incognito/trunk/portage.overlay/app-crypt/gnupg/files/gnupg-2.0.9-gcc-4.3.patch
   incognito/trunk/portage.overlay/app-crypt/gnupg/gnupg-2.0.9.ebuild
Log:
gpa can now user gpg hkp plugins for accessing keyservers.


Added: incognito/trunk/portage.overlay/app-crypt/gnupg/Manifest
===================================================================
--- incognito/trunk/portage.overlay/app-crypt/gnupg/Manifest	                        (rev 0)
+++ incognito/trunk/portage.overlay/app-crypt/gnupg/Manifest	2008-08-19 23:02:14 UTC (rev 16601)
@@ -0,0 +1,3 @@
+AUX gnupg-2.0.9-gcc-4.3.patch 437 RMD160 44717ceb9cec62b0962c0ee1a533bbf24a6e8658 SHA1 42531c856bd885c76683cfdb312f4a0985b94ea4 SHA256 5fda371998ebf521b57c36ac8b47d0f9069a9d43238850520370f8fab55fa171
+DIST gnupg-2.0.9.tar.bz2 3718925 RMD160 175f8d4e83dd6ae8e186b7c09bb8bdbb001a5799 SHA1 959bdb934e3a72d256bfbd0122d996a73adb5d1f SHA256 2dc124908a1dfa3b79d2b0a82aa1a31817128feb14e84a26226beaab13179686
+EBUILD gnupg-2.0.9.ebuild 2523 RMD160 ea715e347dacb4171ff1570e375ca705778e5107 SHA1 ddc680c643328dcb52480377ec033e56639d2021 SHA256 701946b90f4deb5d839cd35ff7e845015b4e3257ab7b0297dd0917bdbde4069d

Added: incognito/trunk/portage.overlay/app-crypt/gnupg/files/gnupg-2.0.9-gcc-4.3.patch
===================================================================
--- incognito/trunk/portage.overlay/app-crypt/gnupg/files/gnupg-2.0.9-gcc-4.3.patch	                        (rev 0)
+++ incognito/trunk/portage.overlay/app-crypt/gnupg/files/gnupg-2.0.9-gcc-4.3.patch	2008-08-19 23:02:14 UTC (rev 16601)
@@ -0,0 +1,11 @@
+--- keyserver/gpgkeys_curl.c	2007-07-04 15:26:13.000000000 +0200
++++ keyserver/gpgkeys_curl.c.new	2008-04-16 22:14:52.000000000 +0200
+@@ -300,7 +300,7 @@
+       curl_easy_setopt(curl,CURLOPT_VERBOSE,1);
+     }
+ 
+-  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER,opt->flags.check_cert);
++  curl_easy_setopt(curl,CURLOPT_SSL_VERIFYPEER, opt->flags.check_cert != 0);
+   curl_easy_setopt(curl,CURLOPT_CAINFO,opt->ca_cert_file);
+ 
+   if(proxy)

Added: incognito/trunk/portage.overlay/app-crypt/gnupg/gnupg-2.0.9.ebuild
===================================================================
--- incognito/trunk/portage.overlay/app-crypt/gnupg/gnupg-2.0.9.ebuild	                        (rev 0)
+++ incognito/trunk/portage.overlay/app-crypt/gnupg/gnupg-2.0.9.ebuild	2008-08-19 23:02:14 UTC (rev 16601)
@@ -0,0 +1,93 @@
+# Copyright 1999-2008 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/app-crypt/gnupg/gnupg-2.0.9.ebuild,v 1.9 2008/05/06 14:42:10 jer Exp $
+
+inherit flag-o-matic eutils toolchain-funcs
+
+DESCRIPTION="The GNU Privacy Guard, a GPL pgp replacement"
+HOMEPAGE="http://www.gnupg.org/"
+SRC_URI="mirror://gnupg/gnupg/${P}.tar.bz2"
+
+LICENSE="GPL-3"
+SLOT="0"
+KEYWORDS="alpha amd64 ~arm hppa ia64 ~mips ppc ppc64 ~s390 ~sh sparc x86 ~x86-fbsd"
+IUSE="bzip2 doc ldap nls openct pcsc-lite smartcard selinux"
+
+COMMON_DEPEND="
+	virtual/libc
+	>=dev-libs/pth-1.3.7
+	>=dev-libs/libgcrypt-1.2.2
+	>=dev-libs/libksba-1.0.2
+	>=dev-libs/libgpg-error-1.4
+	>=net-misc/curl-7.7.2
+	bzip2? ( app-arch/bzip2 )
+	pcsc-lite? ( >=sys-apps/pcsc-lite-1.3.0 )
+	openct? ( >=dev-libs/openct-0.5.0 )
+	ldap? ( net-nds/openldap )
+	app-crypt/pinentry"
+
+DEPEND="${COMMON_DEPEND}
+	>=dev-libs/libassuan-1.0.4
+	nls? ( sys-devel/gettext )
+	doc? ( sys-apps/texinfo )"
+
+RDEPEND="${COMMON_DEPEND}
+	!app-crypt/gpg-agent
+	!<=app-crypt/gnupg-2.0.1
+	virtual/mta
+	selinux? ( sec-policy/selinux-gnupg )
+	nls? ( virtual/libintl )"
+
+src_unpack() {
+	unpack ${A}
+	cd "${S}"
+	epatch "${FILESDIR}/${P}-gcc-4.3.patch"
+}
+
+src_compile() {
+	econf \
+		--libexecdir="/usr/libexec/gnupg" \
+		--docdir="/usr/share/doc/${PF}" \
+		--enable-symcryptrun \
+		--enable-gpg \
+		--enable-gpgsm \
+		--enable-agent \
+		$(use_enable bzip2) \
+		$(use_enable smartcard scdaemon) \
+		$(use_enable nls) \
+		$(use_enable ldap) \
+		--disable-capabilities \
+		CC_FOR_BUILD=$(tc-getBUILD_CC) \
+		|| die
+	emake || die
+	if use doc; then
+		cd doc
+		emake html || die
+	fi
+}
+
+src_install() {
+	make DESTDIR="${D}" install || die
+	dodoc ChangeLog NEWS README THANKS TODO VERSION
+
+	mv "${D}/usr/share/gnupg"/{help*,faq*,FAQ} "${D}/usr/share/doc/${PF}"
+	prepalldocs
+
+	dosym gpg2 /usr/bin/gpg
+	dosym gpgv2 /usr/bin/gpgv
+	dosym gpg2keys_hkp /usr/libexec/gnupg/gpgkeys_hkp
+	dosym gpg2keys_finger /usr/libexec/gnupg/gpgkeys_finger
+	dosym gpg2keys_curl /usr/libexec/gnupg/gpgkeys_curl
+	use ldap && dosym gpg2keys_ldap /usr/libexec/gnupg/gpgkeys_ldap
+	echo ".so man1/gpg2.1" > "${D}/usr/share/man/man1/gpg.1"
+	echo ".so man1/gpgv2.1" > "${D}/usr/share/man/man1/gpgv.1"
+
+	use doc && dohtml doc/gnupg.html/* doc/*jpg doc/*png
+}
+
+pkg_postinst() {
+	elog "If you wish to view images emerge:"
+	elog "media-gfx/xloadimage, media-gfx/xli or any other viewer"
+	elog "Remember to use photo-viewer option in configuration file to activate"
+	elog "the right viewer"
+}



More information about the tor-commits mailing list